diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rlc-header.cc ns-3.43/src/lte/model/lte-rlc-header.cc
--- ns-3.42/src/lte/model/lte-rlc-header.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-rlc-header.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rlc-header.h ns-3.43/src/lte/model/lte-rlc-header.h
--- ns-3.42/src/lte/model/lte-rlc-header.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-rlc-header.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rlc-sap.cc ns-3.43/src/lte/model/lte-rlc-sap.cc
--- ns-3.42/src/lte/model/lte-rlc-sap.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-rlc-sap.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rlc-sap.h ns-3.43/src/lte/model/lte-rlc-sap.h
--- ns-3.42/src/lte/model/lte-rlc-sap.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-rlc-sap.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rlc-sdu-status-tag.cc ns-3.43/src/lte/model/lte-rlc-sdu-status-tag.cc
--- ns-3.42/src/lte/model/lte-rlc-sdu-status-tag.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-rlc-sdu-status-tag.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rlc-sdu-status-tag.h ns-3.43/src/lte/model/lte-rlc-sdu-status-tag.h
--- ns-3.42/src/lte/model/lte-rlc-sdu-status-tag.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-rlc-sdu-status-tag.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rlc-sequence-number.cc ns-3.43/src/lte/model/lte-rlc-sequence-number.cc
--- ns-3.42/src/lte/model/lte-rlc-sequence-number.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-rlc-sequence-number.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rlc-sequence-number.h ns-3.43/src/lte/model/lte-rlc-sequence-number.h
--- ns-3.42/src/lte/model/lte-rlc-sequence-number.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-rlc-sequence-number.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rlc-tag.cc ns-3.43/src/lte/model/lte-rlc-tag.cc
--- ns-3.42/src/lte/model/lte-rlc-tag.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-rlc-tag.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jaume Nin <jaume.nin@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rlc-tag.h ns-3.43/src/lte/model/lte-rlc-tag.h
--- ns-3.42/src/lte/model/lte-rlc-tag.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-rlc-tag.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jaume Nin <jaume.nin@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rlc-tm.cc ns-3.43/src/lte/model/lte-rlc-tm.cc
--- ns-3.42/src/lte/model/lte-rlc-tm.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-rlc-tm.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011,2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rlc-tm.h ns-3.43/src/lte/model/lte-rlc-tm.h
--- ns-3.42/src/lte/model/lte-rlc-tm.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-rlc-tm.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011,2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rlc-um.cc ns-3.43/src/lte/model/lte-rlc-um.cc
--- ns-3.42/src/lte/model/lte-rlc-um.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-rlc-um.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rlc-um.h ns-3.43/src/lte/model/lte-rlc-um.h
--- ns-3.42/src/lte/model/lte-rlc-um.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-rlc-um.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rrc-header.cc ns-3.43/src/lte/model/lte-rrc-header.cc
--- ns-3.42/src/lte/model/lte-rrc-header.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-rrc-header.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Lluis Parcerisa <lparcerisa@cttc.cat>
  * Modified by:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rrc-header.h ns-3.43/src/lte/model/lte-rrc-header.h
--- ns-3.42/src/lte/model/lte-rrc-header.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-rrc-header.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Lluis Parcerisa <lparcerisa@cttc.cat>
  * Modified by:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rrc-protocol-ideal.cc ns-3.43/src/lte/model/lte-rrc-protocol-ideal.cc
--- ns-3.42/src/lte/model/lte-rrc-protocol-ideal.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-rrc-protocol-ideal.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rrc-protocol-ideal.h ns-3.43/src/lte/model/lte-rrc-protocol-ideal.h
--- ns-3.42/src/lte/model/lte-rrc-protocol-ideal.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-rrc-protocol-ideal.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rrc-protocol-real.cc ns-3.43/src/lte/model/lte-rrc-protocol-real.cc
--- ns-3.42/src/lte/model/lte-rrc-protocol-real.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-rrc-protocol-real.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Nicola Baldo <nbaldo@cttc.es>
  *          Lluis Parcerisa <lparcerisa@cttc.cat>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rrc-protocol-real.h ns-3.43/src/lte/model/lte-rrc-protocol-real.h
--- ns-3.42/src/lte/model/lte-rrc-protocol-real.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-rrc-protocol-real.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Nicola Baldo <nbaldo@cttc.es>
  *          Lluis Parcerisa <lparcerisa@cttc.cat>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rrc-sap.cc ns-3.43/src/lte/model/lte-rrc-sap.cc
--- ns-3.42/src/lte/model/lte-rrc-sap.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-rrc-sap.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-rrc-sap.h ns-3.43/src/lte/model/lte-rrc-sap.h
--- ns-3.42/src/lte/model/lte-rrc-sap.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-rrc-sap.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Nicola Baldo <nbaldo@cttc.es>
  *          Lluis Parcerisa <lparcerisa@cttc.cat>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-spectrum-phy.cc ns-3.43/src/lte/model/lte-spectrum-phy.cc
--- ns-3.42/src/lte/model/lte-spectrum-phy.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-spectrum-phy.cc	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009, 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  *         Giuseppe Piro  <g.piro@poliba.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-spectrum-phy.h ns-3.43/src/lte/model/lte-spectrum-phy.h
--- ns-3.42/src/lte/model/lte-spectrum-phy.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-spectrum-phy.h	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  *         Giuseppe Piro  <g.piro@poliba.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-spectrum-signal-parameters.cc ns-3.43/src/lte/model/lte-spectrum-signal-parameters.cc
--- ns-3.42/src/lte/model/lte-spectrum-signal-parameters.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-spectrum-signal-parameters.cc	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  * Modified by Marco Miozzo <mmiozzo@cttc.es> (add data and ctrl diversity)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-spectrum-signal-parameters.h ns-3.43/src/lte/model/lte-spectrum-signal-parameters.h
--- ns-3.42/src/lte/model/lte-spectrum-signal-parameters.h	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-spectrum-signal-parameters.h	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  * Modified by Marco Miozzo <mmiozzo@cttc.es> (add data and ctrl diversity)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-spectrum-value-helper.cc ns-3.43/src/lte/model/lte-spectrum-value-helper.cc
--- ns-3.42/src/lte/model/lte-spectrum-value-helper.cc	2024-05-29 15:29:47.120073600 -0700
+++ ns-3.43/src/lte/model/lte-spectrum-value-helper.cc	2024-10-09 16:41:10.044656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 TELEMATICS LAB, DEE - Politecnico di Bari
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Giuseppe Piro  <g.piro@poliba.it>
  *         Nicola Baldo <nbaldo@cttc.es>
